pidgin: _PurpleConversation Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleConversation Struct Reference

A core representation of a conversation between two or more people. More...

`#include <conversation.h>`

## Data Fields
PurpleConversationType | type
| The type of conversation.
PurpleAccount * | account
| The user using this conversation.
char * | name
| The name of the conversation.
char * | title
| The window title.
gboolean | logging
| The status of logging.
GList * | logs
| This conversation's logs
union {
PurpleConvIm * im
| IM-specific data. More...
PurpleConvChat * chat
| Chat-specific data. More...
void * misc
| Misc. More...
} | u
PurpleConversationUiOps * | ui_ops
| UI-specific operations.
void * | ui_data
| UI-specific data.
GHashTable * | data
| Plugin-specific data.
PurpleConnectionFlags | features
| The supported features.
GList * | message_history
| Message history, as a GList of PurpleConvMessage's.

## Detailed Description

A core representation of a conversation between two or more people.

The conversation can be an IM or a chat.

Definition at line 338 of file conversation.h.

## Field Documentation

## ◆ account

PurpleAccount* _PurpleConversation::account

The user using this conversation.

Definition at line 342 of file conversation.h.

## ◆ chat

PurpleConvChat* _PurpleConversation::chat

Chat-specific data.

Definition at line 355 of file conversation.h.

## ◆ data

GHashTable* _PurpleConversation::data

Plugin-specific data.

Definition at line 363 of file conversation.h.

## ◆ features

PurpleConnectionFlags _PurpleConversation::features

The supported features.

Definition at line 365 of file conversation.h.

## ◆ im

PurpleConvIm* _PurpleConversation::im

IM-specific data.

Definition at line 354 of file conversation.h.

## ◆ logging

gboolean _PurpleConversation::logging

The status of logging.

Definition at line 348 of file conversation.h.

## ◆ logs

GList* _PurpleConversation::logs

This conversation's logs

Definition at line 350 of file conversation.h.

## ◆ message_history

GList* _PurpleConversation::message_history

Message history, as a GList of PurpleConvMessage's.

Definition at line 366 of file conversation.h.

## ◆ misc

void* _PurpleConversation::misc

Misc.

data.

Definition at line 356 of file conversation.h.

## ◆ name

char* _PurpleConversation::name

The name of the conversation.

Definition at line 345 of file conversation.h.

## ◆ title

char* _PurpleConversation::title

The window title.

Definition at line 346 of file conversation.h.

## ◆ type

PurpleConversationType _PurpleConversation::type

The type of conversation.

Definition at line 340 of file conversation.h.

## ◆ ui_data

void* _PurpleConversation::ui_data

UI-specific data.

Definition at line 361 of file conversation.h.

## ◆ ui_ops

PurpleConversationUiOps* _PurpleConversation::ui_ops

UI-specific operations.

Definition at line 360 of file conversation.h.

The documentation for this struct was generated from the following file:

- conversation.h